Binary files old_src/.DS_Store and src/.DS_Store differ
diff -ur old_src/Makefile.osx src/Makefile.osx
--- old_src/Makefile.osx	Wed Nov  2 08:42:50 2005
+++ src/Makefile.osx	Wed Nov  2 17:51:49 2005
@@ -37,7 +37,7 @@
   wizard1.c wizard2.c obj-info.c \
   generate.c dungeon.c init1.c init2.c randart.c \
   main-crb.c \
-  use-obj.c quest.c
+  use-obj.c quest.c japanese.c
  
 
 OBJS = \
@@ -51,10 +51,10 @@
   wizard1.o wizard2.o obj-info.o \
   generate.o dungeon.o init1.o init2.o randart.o \
   main-crb.o \
-  use-obj.o quest.o 
+  use-obj.o quest.o japanese.o
 
 CFLAGS = \
-	-Wall -O2 -fpascal-strings -DMACH_O_CARBON
+	-Wall -O2 -fpascal-strings -DMACH_O_CARBON -DJP -DEUC
 LIBS = -framework CoreFoundation -framework QuickTime -framework Carbon
 
 #
@@ -70,7 +70,7 @@
 # Application bundle -- a directory looking like an ordinary application
 
 # Name of the game
-APPNAME = NPPAngband.app
+APPNAME = Quickband.app
 # Bundle of the game (it must be a directory whose name ends in ".app")
 APPBNDL = ../$(APPNAME)
 
@@ -98,14 +98,14 @@
 # RESSRCS = NPPAngband.r Sound.r
 RFLAGS = -i /Developer/Headers/FlatCarbon -d MACH_O_CARBON
 
-install: nppangband $(RESSRCS) $(ICONFILES) $(PLIST)
+install: quickband $(RESSRCS) $(ICONFILES) $(PLIST)
 	[ -d $(APPBNDL) ] || mkdir $(APPBNDL)
 	[ -d $(APPCONT) ] || mkdir $(APPCONT)
 	[ -d $(APPBIN) ] || mkdir $(APPBIN)
 	[ -d $(APPRES) ] || mkdir $(APPRES)
-	install -m 755 nppangband $(APPBIN)
+	install -m 755 quickband $(APPBIN)
 	install -m 644 $(ICONFILES) $(APPRES)
-	$(REZ) $(RFLAGS) -o $(APPRES)/NPPAngband.rsrc $(RESSRCS)
+	$(REZ) $(RFLAGS) -o $(APPRES)/Quickband.rsrc $(RESSRCS)
 	install -m 644 $(PLIST) $(APPCONT)/Info.plist
 	$(SETFILE) -a B $(APPBNDL)
 
@@ -117,8 +117,8 @@
 # Build the "Angband" program
 #
 
-nppangband: $(OBJS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o NPPAngband $(OBJS) $(LIBS)
+quickband: $(OBJS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o Quickband $(OBJS) $(LIBS)
 
 
 #
@@ -126,7 +126,7 @@
 #
 
 clean:
-	-rm -f *.o NPPAngband
+	-rm -f *.o Quickband
 
 
 #
@@ -204,5 +204,6 @@
 z-term.o: z-term.c $(HDRS) z-term.h z-virt.h
 z-util.o: z-util.c $(HDRS) z-util.h
 z-virt.o: z-virt.c $(HDRS) z-virt.h z-util.h
+japanese.o: japanese.c $(INCS) japanese.h
 
 
diff -ur old_src/NPPAngband.r src/NPPAngband.r
--- old_src/NPPAngband.r	Sat Mar 20 22:35:56 2004
+++ src/NPPAngband.r	Wed Nov  2 16:40:17 2005
@@ -22,7 +22,7 @@
 
 resource AngbandSignature(0, "Owner resource", purgeable)
 {
-	"NPPAngband 0.3.2"
+	"Quickband 1.05"
 };
 
 /*
@@ -39,10 +39,10 @@
 	verUS,
 
 	/* Short version string */
-	"0.3.2",
+	"1.0.5",
 
 	/* What really gets displayed as version info */
-	"0.3.2 by Robert Ruehlmann"
+	"1.0.5 by Robert Ruehlmann"
 };
 
 resource 'vers' (2) {
@@ -56,11 +56,11 @@
 	verUS,
 
 	/* Short version string */
-	"0.3.2",
+	"1.0.5",
 
 	/* What really gets displayed just below the icon */
 	/* Say whatever you like here, for example, "It ROCKS!" :) */
-	"No Pet Peeves Angband"
+	"Quickband"
 };
 
 
@@ -121,10 +121,10 @@
 	reserved,
 
 	/* preferred memory size */
-	3 * 1024 * 1024,
+	8 * 1024 * 1024,
 
 	/* minimum memory size */
-	3 * 1024 * 1024
+	8 * 1024 * 1024
 };
 
 #endif /* !__MWERKS__ */
diff -ur old_src/NPPAngband.xml src/NPPAngband.xml
--- old_src/NPPAngband.xml	Sat Mar 20 17:14:58 2004
+++ src/NPPAngband.xml	Tue Nov  1 09:44:18 2005
@@ -1,36 +1,36 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <plist version="1.0">
   <dict>
-    <key>CFBundleName</key><string>NPPAngband</string>
-    <key>CFBundleDisplayName</key><string>NPPAngband</string>
-    <key>CFBundleExecutable</key><string>NPPAngband</string>
+    <key>CFBundleName</key><string>Quickband</string>
+    <key>CFBundleDisplayName</key><string>Quickband</string>
+    <key>CFBundleExecutable</key><string>Quickband</string>
     <key>CFBundlePackageType</key><string>APPL</string>
     <key>CFBundleSignature</key><string>A303</string>
     <key>CFBundleVersion</key><string>0.3.2</string>
     <key>CFBundleShortVersionString</key><string>0.3.2</string>
     <key>CFBundleIconFile</key><string>NPPAngband</string>
-    <key>CFBundleIdentifier</key><string>net.thangorodrim.Angband.NPPAngband</string>
+    <key>CFBundleIdentifier</key><string>net.thangorodrim.Angband.Quickband</string>
     <key>CFBundleInfoDictionaryVersion</key><string>6.0</string>
     <key>CFBundleDocumentTypes</key>
       <array>
         <dict>
           <key>CFBundleTypeExtentions</key><array><string>*</string></array>
           <key>CFBundleTypeIconFile</key><string>Save</string>
-          <key>CFBundleTypeName</key><string>NPPAngband saved game</string>
+          <key>CFBundleTypeName</key><string>Quickband saved game</string>
           <key>CFBundleTypeOSTypes</key><array><string>SAVE</string></array>
           <key>CFBundleTypeRole</key><string>Editor</string>
         </dict>
         <dict>
           <key>CFBundleTypeExtentions</key><array><string>*</string></array>
           <key>CFBundleTypeIconFile</key><string>Edit</string>
-          <key>CFBundleTypeName</key><string>NPPAngband game data</string>
+          <key>CFBundleTypeName</key><string>Quickband game data</string>
           <key>CFBundleTypeOSTypes</key><array><string>TEXT</string></array>
           <key>CFBundleTypeRole</key><string>Editor</string>
         </dict>
         <dict>
           <key>CFBundleTypeExtentions</key><array><string>*</string></array>
           <key>CFBundleTypeIconFile</key><string>Data</string>
-          <key>CFBundleTypeName</key><string>NPPAngband game data</string>
+          <key>CFBundleTypeName</key><string>Quickband game data</string>
           <key>CFBundleTypeOSTypes</key><array><string>DATA</string></array>
           <key>CFBundleTypeRole</key><string>Editor</string>
         </dict>
diff -ur old_src/main-crb.c src/main-crb.c
--- old_src/main-crb.c	Wed Nov  2 08:42:52 2005
+++ src/main-crb.c	Wed Nov  2 17:45:07 2005
@@ -2931,10 +2931,36 @@
 	MoveTo(xp, yp);
 
 	/* Draw the character */
+#if defined(JP) && defined(EUC)
+	{
+		int i;
+
+		for (i = 0; i < n; i++)
+		{
+			if (iskanji(cp[i]))
+			{
+				char kanji[] = "¡¡";
+
+				strncpy(kanji, cp+i, 2);
+
+				/* Convert EUC to SJIS */
+				codeconv_euc2sjis(kanji);
+
+				/* Draw the character */
+				DrawText(kanji, 0, 2);
+				
+				i++;
+			}
+			else DrawChar(cp[i]);
+		}
+	}
+#else
+	/* Draw the character */
 	if (n == 1) DrawChar(*cp);
 
 	/* Draw the string */
 	else DrawText(cp, 0, n);
+#endif
 
 #ifdef CLIP_HACK
 	/* Obtain current window's rect */
@@ -3175,6 +3201,30 @@
 			/* Move to the correct location */
 			MoveTo(xp, yp);
 
+#ifdef JP
+			if (iskanji(c))
+			{
+#ifdef EUC
+				{
+					char kanji[] = "¡¡";
+
+					strncpy(kanji, cp+i, 2);
+
+					/* Convert EUC to SJIS */
+					codeconv_euc2sjis(kanji);
+
+					/* Draw the character */
+					DrawText(kanji, 0, 2);
+				}
+#else
+				/* Draw the character */
+				DrawText(cp, i, 2);
+#endif
+
+				i++;
+			}
+			else
+#endif
 			/* Draw the character */
 			DrawChar(c);
 
@@ -3641,8 +3691,14 @@
 {
 	short fid;
 
+#ifdef JP
+	/* Default to Osaka font (Japanese) */
+	GetFNum( "\pOsaka-ÅùÉý", &fid);
+	SetFScaleDisable( true );
+#else
 	/* Default to Monaco font */
 	GetFNum("\pmonaco", &fid);
+#endif
 
 	/* Wipe it */
 	WIPE(td, term_data);
